@rem disk1 is read-only, has a copy of \BIN\ (no REN - to avoid LFN conflicts).
@rem disk2 is large, all archives, *.tst and *.dir files are created there.
@rem All archivers and DO_*.BATs are in one of the %path% directories.

set disk1=c:
set disk2=d:
set dir0=\BIN\
set dir1=%dir0%astronmy\
set dir2=%dir0%chem\
set dir3=%dir0%font\
set dir4=%dir0%graphics\
set dir5=%dir0%lang\
set dir6=%dir0%mapping\
set dir7=%dir0%proj\
set dir8=%dir0%science\
set dir9=%dir0%winhelp\
set dira=%dir0%xwindows\

%disk2%
cd %dir0%
if "%1"=="" goto main
if "%2"=="" goto DIRnDEL
if "%3"=="" goto RENAME
if not "%8"=="" goto COMPRESS

@rem         If seven parameters given - EXTRACT process starts
:EXTRACT
call %0 %1 %2 %3 %4 %5 %6 %7 -
fc/b %dir1%*.bin %disk1%%dir1%*.bin >>!_%6.tst
fc/b %dir2%*.bin %disk1%%dir2%*.bin >>!_%6.tst
fc/b %dir3%*.bin %disk1%%dir3%*.bin >>!_%6.tst
fc/b %dir4%*.bin %disk1%%dir4%*.bin >>!_%6.tst
fc/b %dir5%*.bin %disk1%%dir5%*.bin >>!_%6.tst
fc/b %dir6%*.bin %disk1%%dir6%*.bin >>!_%6.tst
fc/b %dir7%*.bin %disk1%%dir7%*.bin >>!_%6.tst
fc/b %dir8%*.bin %disk1%%dir8%*.bin >>!_%6.tst
fc/b %dir9%*.bin %disk1%%dir9%*.bin >>!_%6.tst
fc/b %dira%*.bin %disk1%%dira%*.bin >>!_%6.tst
call %0 bin
goto end

@rem         If two parameters given - RENAME process starts
:RENAME
ren %dir1%*.%1 *.%2
ren %dir2%*.%1 *.%2
ren %dir3%*.%1 *.%2
ren %dir4%*.%1 *.%2
ren %dir5%*.%1 *.%2
ren %dir6%*.%1 *.%2
ren %dir7%*.%1 *.%2
ren %dir8%*.%1 *.%2
ren %dir9%*.%1 *.%2
ren %dira%*.%1 *.%2
goto end

@rem         If one parameter given - DIR'n'DEL process starts
:DIRnDEL
dir /s/on %dir3%*.%1 >>!_%1.dir
dir /s/on %dira%*.%1 >>!_%1.dir
dir /s/on %dir0%*.%1 >>!_%1.dir
del %dir1%*.%1
del %dir2%*.%1
del %dir3%*.%1
del %dir4%*.%1
del %dir5%*.%1
del %dir6%*.%1
del %dir7%*.%1
del %dir8%*.%1
del %dir9%*.%1
del %dira%*.%1
goto end



@rem         If no parameters given - MAIN process starts
:main
goto cont5
@rem            %1    %2  %p3% %p4% %p5%   %p6%     %p7%  %8  %9
call %0   pkzip  -exx  -    -    -     .pkz     .bin -
call %0   rar      a  -m5  -mde  -mm    -       .bin -
@rem call %0 bin bi0    (no REN - to avoid LFN conflicts).
call %0 bin
call %0 call do_xtrct pkunzip -e -     .pkz     .bin
call %0 call do_xtrct rar   x    -     .rar     .bin
goto end

call %0   sbc      c   -b59 -m1  -     .sb1     .bin -
call %0   sbc      c   -b59 -m2  -     .sb2     .bin -
call %0   sbc      c   -b59 -m3  -     .sb3     .bin -
call %0   sbc      c   -b59 -m3  -a    .sba     .bin -
call %0 bin
call %0 call do_xtrct sbc  x     -     .sba     .bin
call %0 call do_xtrct sbc  x     -     .sb3     .bin
call %0 call do_xtrct sbc  x     -     .sb2     .bin
call %0 call do_xtrct sbc  x     -     .sb1     .bin

:cont1
call %0   dc     e  -       -    -     .bin     .dc0 -
call %0   dc     e -b16300 -mb5  -     .bin     .dc5 -
call %0   ace32  a -m5    -d4096 -std  .ace     .bin -
call %0   eri  a!! -m5      -    -     .eri     .bin -
call %0 bin
call %0   eri      x   -    -    -     .eri     .bin
call %0   dc       x   -    -    -     .dc0     .bin
call %0   dc       x   -    -    -     .dc5     .bin
call %0 call do_xtrct ace32 x    -     .ace     .bin

:cont2
call %0  7z        a  -mx -tufa1 -     .uf1     .bin -
call %0  7zip      a  -mx   -    -     .7zi     .bin -
call %0  imp98     a   -2   -s4  -mm   .im2     .bin -
call %0  imp98     a   -1   -m3  -mm   .im1     .bin -
call %0  bix       a  -m9 -mdg   -     .bx9     .bin -
call %0  bzip2    -k   -9   -    -     .bin     .bin.bz2 -
call %0 bin
call %0 call do_xtrct 7z    x    -     .uf1     .bin
call %0 call do_xtrct 7zip  x    -     .7zi     .bin
call %0 call do_xtrct imp98 e    -     .im1     .bin
call %0 call do_xtrct imp98 e    -     .im2     .bin
call %0 call do_xtrct  bix  x    -     .bx9     .bin
call %0   bzip2   -dk  -    -    -     .bin.bz2 .bin


:cont2a
call %0   ybs_d -m16mu -    -    -     .y16     .bin -
call %0   ybs_d -m16mu -r   -    -     .ybr     .bin -
call %0   ba      -k   -50  -j   -     .bin     .bin.ba bin.ba bin.baj
call %0   ba      -k   -50  -    -     .bin     .bin.ba
call %0 bin
call %0 call do_xtrct ybs_d -d   -     .ybr     .bin
call %0 call do_xtrct ybs_d -d   -     .y16     .bin
call %0   ba      -dk  -    -    -     .bin.baj .bin
call %0   ba      -dk  -    -    -     .bin.ba  .bin

:cont3
call %0   zzip     a  -mx  -30m  -mm   .zz      .bin zz  zzm
call %0   zzip     a  -mx  -30m  -a    .zz      .bin zz  zza
call %0   zzip     a  -mx  -30m  -     .zz      .bin -
call %0   szip    -o10 -b41 -    -     .bin     .s10 -
call %0   szip    -o0  -b41 -    -     .bin     .sz0 -
call %0 bin
call %0   zzip     x   -    -    -     .zzm     .bin
call %0   zzip     x   -    -    -     .zza     .bin
call %0   zzip     x   -    -    -     .zz      .bin
call %0   szip    -d   -    -    -     .s10     .bin
call %0   szip    -d   -    -    -     .sz0     .bin

:cont4
call %0   rk      -mx3 -B9000 -  -     .rk4     .bin -
call %0 call  do_777  777 -mu32  -mg   .777     .bin -
call %0   uharc   a  -md8192 -m3 -     .uh3     .bin -
call %0   uharc   a  -md8192 -mx -     .uhx     .bin -
call %0   uharc   a  -md8192 -mz -     .uhz     .bin -
call %0   rk      -mx3 -    -    -     .rk3     .bin -
call %0 bin
call %0 call do_xtrct uharc x    -     .uhx     .bin
call %0 call do_xtrct uharc x    -     .uh3     .bin
call %0 call do_xtrct uharc x    -     .uhz     .bin
call %0 call do_xtrct 777   x    -     .777     .bin
call %0   rk     -x    -    -    -     .rk4     .bin
call %0   rk     -x    -    -    -     .rk3     .bin
goto end

:cont5
call %0   ppmonstr e  -o16 -m184 -     .bin     .pmm pmm o16
call %0   ppmonstr e  -o1  -m184 -     .bin     .pmm pmm o01
call %0   arh      a   -1   -2   -mm   .lg3     .bin -
call %0   boa    -m15  -    -    -     .b58     .bin -
call %0 bin
call %0 call do_xtrct ppmonstr d -     .o16     .bin
call %0 call do_xtrct ppmonstr d -     .o01     .bin
call %0 call do_xtrct arh   x    -     .lg3     .bin
call %0 call do_xtrct boa  -x    -     .b58     .bin
goto end


@rem         If more than seven parameters given - COMPRESS process starts
:COMPRESS
set p3=%3
set p4=%4
set p5=%5
set p6=%6
set p7=%7
if "%3"=="-" set p3=
if "%4"=="-" set p4=
if "%5"=="-" set p5=
if "%6"=="-" set p6=
if "%7"=="-" set p7=
if "%1"=="rk" goto lfname
if "%1"=="boa" goto lfname
if "%3"=="777" goto lfname
if "%1"=="ppmonstr" goto lfname

cd %dir1%

%1 %2 %p3% %p4% %p5% ___IBM~1%p6%       ___IBM~1%p7%
rem abort if something went wrong
if not exist ___IBM~1%p6% goto finish
if not exist ___IBM~1%p7% goto finish
%1 %2 %p3% %p4% %p5% ___SPE~1%p6%       ___SPE~1%p7%
...
... see BINS.BAT in full version ARTEST22.ZIP
...
%1 %2 %p3% %p4% %p5% ZEROME~1%p6%       ZEROME~1%p7%

cd %dir2%

%1 %2 %p3% %p4% %p5% _INST3~1%p6%       _INST3~1%p7%
...
... see BINS.BAT in full version ARTEST22.ZIP
...
%1 %2 %p3% %p4% %p5% ZLIB_D~1%p6%       ZLIB_D~1%p7%

goto finish



:lfname

cd %dir1%

%1 %2 %p3% %p4% %p5% ___IBM~1%p6%       ___IBMPC.C%p7%
rem abort if something went wrong
if not exist ___IBM~1%p6% goto finish
if not exist ___IBMPC.C%p7% goto finish
%1 %2 %p3% %p4% %p5% ___SPE~1%p6%       ___SPEC.C%p7%
...
... see BINS.BAT in full version ARTEST22.ZIP
...
%1 %2 %p3% %p4% %p5% ZEROME~1%p6%       ZERO.MER%p7%


:finish
cd %dir0%
if "%8"=="-" goto end
if "%8"=="" goto end
dir /s/on %dir0%*.%8 >>0_%8.dir
call %0 %8 %9
:end
